<?php
namespace Claromentis\Core\Localization;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_982bb11c1217" . "d9ad3a391d728" . "27f54ce" => base64_decode("Q2FuJ3QgZmluZC" . "Bsb2NhbGl6YXRp" . "b24gc3RyaW5nIC" . "c="), "_e608e5b5c4c34a67ba97ef84c1e" . "16199" => base64_decode("Jw=" . "="), "_4d707fab93bebb00bbe69e8159" . "697c90" => base64_decode(""), "_aef8d01f1d32e6333" . "fa01fc401e05eee" => base64_decode("bG9jYWxpemF0aW9" . "u"));
use Claromentis\Core\Localization\Exception\MissingPhraseException;
use Claromentis\Core\Services;




class Facade
{
    
    
    
    
    protected static $localization;
    
    
    
    
    protected static function Init()
    {
        global $g_application;
        self::$localization = $g_application[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_aef8d01f1d3" . "2e6333fa01fc" . "401e05eee"]];
    }
    
    
    
    
    
    
    public static function SetLocalizationService(Localization $_aef8d01f1d32e6333fa01fc401e05eee)
    {
        self::$localization = $_aef8d01f1d32e6333fa01fc401e05eee;
    }
    
    
    
    
    public static function UnsetLocalizationService()
    {
        self::$localization = null;
    }
    
    
    
    
    
    
    public static function SetLanguage($_059707644b06dfe19a36970b58499427)
    {
        if (!self::$localization) {
            self::Init();
        }
        self::$localization->SetLanguage($_059707644b06dfe19a36970b58499427);
    }
    
    
    
    
    public static function GetLanguage()
    {
        if (!self::$localization) {
            self::Init();
        }
        return self::$localization->GetLanguage();
    }
    
    
    
    
    public static function GetLocale()
    {
        if (!self::$localization) {
            self::Init();
        }
        return self::$localization->GetLocale();
    }
    
    
    
    
    public static function GetDateFormatter()
    {
        if (!self::$localization) {
            self::Init();
        }
        return self::$localization->GetDateFormatter();
    }
    
    
    
    
    
    public static function GetPhrase($key)
    {
        if (!self::$localization) {
            self::Init();
        }
        try {
            return self::$localization->getTranslation($key);
        } catch (MissingPhraseException $_fe441aa3ef350bfb1a1a1ad8520dd530) {
            Services::I()->GetLogger($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_aef8d01f1" . "d32e6333fa" . "01fc401e05" . "eee"])->warning($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_982bb11c1217d9ad3a391d7282" . "7f54ce"] . $key . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_e608e5b5c4c34a67ba97ef84c1e" . "16199"]);
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb" . "00bbe69e8159697" . "c90"];
        }
    }
    
    
    
    
    
    public static function KeyExist($key)
    {
        if (!self::$localization) {
            self::Init();
        }
        return self::$localization->KeyExist($key);
    }
}